<ion-content>
  <swiper-container
    #swiper
    aria-live="polite"
    cssMode="true"
    modules="{{ swiperModules }}"
    pagination="true"
  >
    <swiper-slide
      [attr.aria-hidden]="currentIndex !== 0"
      [attr.tabindex]="currentIndex === 0 ? 0 : -1"
    >
      <app-intro-onboarding></app-intro-onboarding>
    </swiper-slide>

    <swiper-slide
      *ngFor="let slider of sliders; let i = index"
      [attr.aria-hidden]="currentIndex !== i + 1"
      [attr.tabindex]="currentIndex === i + 1 ? 0 : -1"
    >
      <ng-container *ngIf="slider.component">
        <ng-container *ngComponentOutlet="slider.component"></ng-container>
      </ng-container>
    </swiper-slide>

    <swiper-slide
      [attr.aria-hidden]="currentIndex !== sliders.length + 1"
      [attr.tabindex]="currentIndex === sliders.length + 1 ? 0 : -1"
    >
      <app-discover-onboarding></app-discover-onboarding>
    </swiper-slide>
  </swiper-container>
  <lib-loading-indicator [isLoading]="isLoading"></lib-loading-indicator>
</ion-content>
